# updateteam

### description

Updates an existing Buzzy Team

### parameters

The `X-Auth-Token` and `X-User-Id` are derived from the values `authToken` and `userId` returned from the login endpoint and are used in the HTTP header.

`teamID` - required, the team ID to be updated.

`teamInfo` - required, JSON object that has properties to be updated.

#### Resource

```
{
	"teamID":"<team ID to update>",
	"teamInfo":{
		"name": "<updated team name>",
		"description": "<updated team description>"
	}
}
```

### response

Returns the status of the request

### example

```
POST /api/updateteam 
X-Auth-Token:<insert token here>
X-User-Id:<insert user id here>

{
	"teamID": "<team ID to update>",
	"teamInfo": {
		"name": "Updated Team Name",
		"description": "Updated team description"
	}
}
```

You should get back:

```
{
    "status": "success"
}
```

***
